Subject: Re: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Gerd Möllmann <[email-masked]>
Date: Mon, 16 Dec 2024 18:53:15 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Gerd Möllmann <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  Jared Finder <[email-masked]>,
>>   [email-masked],  [email-masked]
>> Date: Mon, 16 Dec 2024 18:30:30 +0100
>> 
>> Mouse support by default is an important feature, IMO. It makes the menu
>> bar usable, or in a future Emacs containing tty child frames tooltips
>> can be shown. Not to mention setting point and what else.
>
> I agree that mouse support is an important feature -- if it works well
> and doesn't cause regressions.  Here it seems like at least some
> people could see some breakage.
>
> It is easy to turn on xterm-mouse-mode for those who want it and don't
> get anything broken due to it.  Turning it on by default is only TRT
> if there are no significant downsides.  IOW, we shouldn't force users
> to turn off some feature that is turned on by default because the
> default doesn't work or breaks something.

You left out the part where I said for whom it breaks something :-).